Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Interface AmbNewArray

All Superinterfaces:
  polyglot.ast.Ambiguous, java.lang.Cloneable, polyglot.util.Copy, polyglot.ast.Expr, polyglot.ast.JL, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.Prefix, polyglot.ast.Receiver, polyglot.ast.Term, polyglot.ast.Typed

All Known Implementing Classes:
  AmbNewArray_c

    public interface AmbNewArray

extends polyglot.ast.Expr, polyglot.ast.Ambiguous

An ambiguous new array expression. The ambiguity arises because in `new T.a[e][m]`, `e` may be either a dimension expression or a label/principal parameter.

Field Summary

Fields inherited from interface polyglot.ast.Term
`ENTRY, EXIT`

Method Summary
`polyglot.ast.TypeNode` | `baseType()` Gets the base type.
`AmbNewArray` | `baseType(polyglot.ast.TypeNode baseType)` Returns a copy of this node with the base type updated.
`java.util.List` | `dims()` Gets the additional dimensions.
`AmbNewArray` | `dims(java.util.List dims)` Returns a copy of this node with the additional dimensions updated.
`java.lang.Object` | `expr()` Gets the expr.

Methods inherited from interface polyglot.ast.Expr
`constantValue, constantValueSet, isConstant, precedence, printSubExpr, printSubExpr, type`

Methods inherited from interface polyglot.ast.Node
`childExpectedType, del, del, dump, error, error, ext, ext, ext, ext, isDisambiguated, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`addDecls, buildTypes, buildTypesEnter, checkConstants, copy, copy, disambiguate, disambiguateEnter, disambiguateOverride, dump, dump, enterChildScope, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, prettyPrint, throwTypes, translate, typeCheck, typeCheckEnter, typeCheckOverride, visitChildren`

Methods inherited from interface polyglot.util.Copy
`copy`

Methods inherited from interface polyglot.ast.Typed
`type`

Methods inherited from interface polyglot.ast.Term
`acceptCFG, exceptions, exceptions, firstChild, reachable, reachable`

Method Detail

### baseType

    polyglot.ast.TypeNode baseType()

  Gets the base type.

### baseType

    AmbNewArray baseType(polyglot.ast.TypeNode baseType)

  Returns a copy of this node with the base type updated.

### expr

    java.lang.Object expr()

  Gets the expr. Will either be an Expr or a String

### dims

    java.util.List dims()

  Gets the additional dimensions.

### dims

    AmbNewArray dims(java.util.List dims)

  Returns a copy of this node with the additional dimensions updated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD